GDB (xrefs)

Public Attributes | List of all members
section_addr_info Struct Reference

`#include "symfile.h"`

## Public Attributes
size_t | num_sections
struct other_sections | other [1]

## Detailed Description

Definition at line 64 of file symfile.h.

## Member Data Documentation

## ◆ num_sections

size_t section_addr_info::num_sections

Definition at line 68 of file symfile.h.

Referenced by addr_info_make_relative(), addrs_section_sort(), alloc_section_addr_info(), build_section_addr_info_from_bfd(), build_section_addr_info_from_objfile(), build_section_addr_info_from_section_table(), free_section_addr_info(), jit_bfd_try_read_symtab(), macho_symfile_offsets(), relative_addr_info_to_section_offsets(), symbol_file_add_from_memory(), and syms_from_objfile_1().

## ◆ other

struct other_sections section_addr_info::other[1]

Definition at line 70 of file symfile.h.

Referenced by addr_info_make_relative(), addrs_section_sort(), build_section_addr_info_from_bfd(), build_section_addr_info_from_objfile(), build_section_addr_info_from_section_table(), free_section_addr_info(), jit_bfd_try_read_symtab(), macho_symfile_offsets(), relative_addr_info_to_section_offsets(), and symbol_file_add_from_memory().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symfile.h